Skip to main content
`Ctrl`+`K`

# TSGetTimeStep

Gets the current timestep size.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetTimeStep(TS ts, PetscReal *dt)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- dt - the current timestep size

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetTimeStep()`, `TSGetTime()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex20adj.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex16.c
src/ts/tutorials/ex16fwd.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex19.c
src/ts/tutorials/ex23fwdadj.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex42.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages